haskell-language-server-2.9.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.Eval

Description

Eval Plugin entry point.

Synopsis

- descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState
- data Log
  - = LogShake Log
  - | LogCodeLensFp FilePath
  - | LogCodeLensComments Comments
  - | LogExecutionTime Text Seconds
  - | LogTests !Int !Int !Int !Int
  - | LogRunTestResults [Text]
  - | LogRunTestEdits TextEdit
  - | LogEvalFlags [String]
  - | LogEvalPreSetDynFlags DynFlags
  - | LogEvalParsedFlags (Either GhcException (DynFlags, [Located String], DynFlagsParsingWarnings))
  - | LogEvalPostSetDynFlags DynFlags
  - | LogEvalStmtStart String
  - | LogEvalStmtResult (Maybe [Text])
  - | LogEvalImport String
  - | LogEvalDeclaration String

# Documentation

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

Plugin descriptor

data Log #

Constructors

LogShake Log |
LogCodeLensFp FilePath |
LogCodeLensComments Comments |
LogExecutionTime Text Seconds |
LogTests !Int !Int !Int !Int |
LogRunTestResults [Text] |
LogRunTestEdits TextEdit |
LogEvalFlags [String] |
LogEvalPreSetDynFlags DynFlags |
LogEvalParsedFlags (Either GhcException (DynFlags, [Located String], DynFlagsParsingWarnings)) |
LogEvalPostSetDynFlags DynFlags |
LogEvalStmtStart String |
LogEvalStmtResult (Maybe [Text]) |
LogEvalImport String |
LogEvalDeclaration String |

#### Instances

Instances details

Pretty Log # |
Instance details Defined in Ide.Plugin.Eval.Types Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #